Subject: bug#76521: 31.0.50; TRAMP couldn't find `ls' on OpenBSD

From: Michael Albinus <[email-masked]>
Date: Mon, 24 Feb 2025 13:09:13 +0100

Manuel Giraud <[email-masked]> writes:

> Hi Michael,

Hi Manuel,

[Pls use X-Debbugs-Cc when you submit a new bug]

> On the current master, TRAMP is not able to find a correct `ls' on
> OpenBSD.  How to reproduce this:
>
>           - emacs -Q
>           - C-x C-f
>           - /doas:: <RET>
>           - enter password <RET>
>
> I then get the following error:
>
> File error: Couldn't find a proper `ls' command
> tramp-get-ls-command: Couldn't find a proper `ls' command

I've seen a similar error on my FreeBSD VM. This ought to be fixed, I thought.

> From a wild guess (untested), I think it could come from the refactoring
> in e682fd2d5ba.

Hmm, yes, this was my fix. I cannot reproduce the problem with your
recipe on my FreeBSD14 VM.

Pls rerun your recipe, but start with

--8<---------------cut here---------------start------------->8---
# emacs -Q --eval '(setq tramp-verbose 10)'
--8<---------------cut here---------------end--------------->8---

Show the resulting Tramp debug buffer.

> Best regards,

Best regards, Michael.